SFTP-SERVER(8) | System Manager's Manual | SFTP-SERVER(8)

# NAME

sftp-server — SFTP server subsystem

# SYNOPSIS

sftp-server | [-ehR] [-f log_facility] [-l log_level] [-u umask]

# DESCRIPTION

sftp-server is a program that speaks the server side of SFTP protocol to stdout and expects client requests from stdin. sftp-server is not intended to be called directly, but from sshd(8) using the Subsystem option.

Command-line flags to sftp-server should be specified in the Subsystem declaration. See sshd_config(5) for more information.

Valid options are:

-e
  Causes sftp-server to print logging information to stderr instead of syslog for debugging.
-f log_facility
  Specifies the facility code that is used when logging messages from sftp-server. The possible values are: DAEMON, USER, AUTH, LOCAL0, LOCAL1, LOCAL2, LOCAL3, LOCAL4, LOCAL5, LOCAL6, LOCAL7. The default is AUTH.
-h
  Displays sftp-server usage information.
-l log_level
  Specifies which messages will be logged by sftp-server. The possible values are: QUIET, FATAL, ERROR, INFO, VERBOSE, DEBUG, DEBUG1, DEBUG2, and DEBUG3. INFO and VERBOSE log transactions that sftp-server performs on behalf of the client. DEBUG and DEBUG1 are equivalent. DEBUG2 and DEBUG3 each specify higher levels of debugging output. The default is ERROR.
-R
  Places this instance of sftp-server into a read-only mode. Attempts to open files for writing, as well as other operations that change the state of the filesystem, will be denied.
-u umask
  Sets an explicit umask(2) to be applied to newly-created files and directories, instead of the user's default mask.

For logging to work, sftp-server must be able to access /dev/log. Use of sftp-server in a chroot configuration therefore requires that syslogd(8) establish a logging socket inside the chroot directory.

# SEE ALSO

sftp(1), ssh(1), sshd_config(5), sshd(8)

T. Ylonen and S. Lehtinen, SSH File Transfer Protocol, draft-ietf-secsh-filexfer-00.txt, January 2001, work in progress material.

# HISTORY

sftp-server first appeared in OpenBSD 2.8.

# AUTHORS

Markus Friedl <markus@openbsd.org>

January 9, 2010 | NetBSD 6.0